> ## Documentation Index
> Fetch the complete documentation index at: https://docs.untrace.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Plant

> Creates a new plant in the store



## OpenAPI

````yaml POST /plants
openapi: 3.1.0
info:
  description: >-
    A sample API that uses a plant store as an example to demonstrate features
    in the OpenAPI specification
  license:
    name: MIT
  title: OpenAPI Plant Store
  version: 1.0.0
servers:
  - url: http://sandbox.mintlify.com
security:
  - bearerAuth: []
paths:
  /plants:
    post:
      description: Creates a new plant in the store
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/NewPlant'
        description: Plant to add to the store
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Plant'
          description: plant response
        '400':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
          description: unexpected error
components:
  schemas:
    NewPlant:
      allOf:
        - $ref: '#/components/schemas/Plant'
        - properties:
            id:
              description: Identification number of the plant
              format: int64
              type: integer
          required:
            - id
          type: object
    Plant:
      properties:
        name:
          description: The name of the plant
          type: string
        tag:
          description: Tag to specify the type
          type: string
      required:
        - name
      type: object
    Error:
      properties:
        error:
          format: int32
          type: integer
        message:
          type: string
      required:
        - error
        - message
      type: object
  securitySchemes:
    bearerAuth:
      scheme: bearer
      type: http

````